// eztcpcfgDlg.h : header file
//

#if !defined(AFX_EZTCPCFGDLG_H__320772B1_2D3E_4BE0_816D_C21603F94689__INCLUDED_)
#define AFX_EZTCPCFGDLG_H__320772B1_2D3E_4BE0_816D_C21603F94689__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CEztcpcfgDlg dialog

class CEztcpcfgDlg : public CDialog
{
// Construction
public:
	CEztcpcfgDlg(CWnd* pParent = NULL);	// standard constructor
	~CEztcpcfgDlg();
// Dialog Data
	//{{AFX_DATA(CEztcpcfgDlg)
	enum { IDD = IDD_EZTCPCFG_DIALOG };
	CEdit	m_ctl_new_pwd;
	CIPAddressCtrl	m_remote_ip;
	CEdit	m_ctl_comment;
	CButton	m_ctl_rcfg;
	CIPAddressCtrl	m_local_ip;
	CEdit	m_eztcp_status;
	CListBox	m_eztcp_list;
	int		m_local_port;
	CString	m_pwd;
	CString	m_new_pwd;
	CString	m_comment;
	BOOL	m_rcfg;
	BOOL	m_del_pwd;
	CString	m_ssid;
	CString	m_ea0;
	CString	m_ea1;
	CString	m_ea2;
	CString	m_ea3;
	CString	m_ea4;
	CString	m_ea5;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEztcpcfgDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
private:
	struct spe_env	*env_base;
	struct wlan_env *wenv_base;
	struct etc_opt	*etc_base;

protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEztcpcfgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonProbe();
	afx_msg void OnButtonStatus();
	afx_msg void OnSelchangeEztcpList();
	afx_msg void OnButtonWrite();
	afx_msg void OnButtonLibversion();
	afx_msg void OnButtonWlan();
	afx_msg void OnButtonRemotePwd();
	afx_msg void OnButtonRemoteRead();
	afx_msg void OnButtonRemoteStatus();
	afx_msg void OnButtonRemoteWrite();
	afx_msg void OnButtonSetPwd();
	afx_msg void OnButtonDeletePwd();
	afx_msg void OnButtonChangePwd();
	afx_msg void OnButtonRemotePwdChange();
	afx_msg void OnButtonRemotePwdDelete();
	afx_msg void OnButtonCloseTcp();
	afx_msg void OnButtonResetEztcp();
	afx_msg void OnButtonRemoteCloseTcp();
	afx_msg void OnButtonRemoteResetEztcp();
	afx_msg void OnButtonRead();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EZTCPCFGDLG_H__320772B1_2D3E_4BE0_816D_C21603F94689__INCLUDED_)
